Subject: Re: [ethtool PATCH] ethtool: Support n-tuple filter programming

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Thu, 25 Feb 2010 22:09:07 -0800

On Thu, 2010-02-25 at 21:53 -0800, David Miller wrote:
> From: Jeff Garzik <[email-masked]>
> Date: Thu, 25 Feb 2010 21:26:38 -0500
> 
> > On 02/25/2010 08:49 PM, Waskiewicz Jr, Peter P wrote:
> >> This will require a small kernel change.  Will something like this be
> >> pulled in at this point, given that 2.6.33 just released?
> > 
> > The n-tuple stuff is not in 2.6.33's ethtool interface, so it hasn't
> > actually made it into a released kernel at this point.
> > 
> > It seems reasonable for 2.6.34 to either add ETHTOOL_GSTRINGS_COUNT or
> > update drvinfo.  Even if net-next has already been pulled into
> > post-2.6.33 merge window, that would IMO qualify as a reasonable
> > interface bugfix to get upstream.  The ethtool n-tuple ABI is not
> > locked into stone until 2.6.34 is released by Linus.
> 
> Right.

Sounds good.  I wanted to make sure before I changed the ethtool bits.
Expect a patch for both the kernel side and userspace side shortly.

-PJ